<?xml version="1.0" encoding="UTF-8"?><record_update table="sc_cat_item_producer">
    <sc_cat_item_producer action="DELETE">
        <access_type>restricted</access_type>
        <active>true</active>
        <allow_edit>false</allow_edit>
        <availability>on_desktop</availability>
        <billable>false</billable>
        <can_cancel>false</can_cancel>
        <category/>
        <checked_out/>
        <cost>0</cost>
        <custom_cart/>
        <delivery_plan display_value="DEFAULT">523da512c611228900811a37c97c2014</delivery_plan>
        <delivery_plan_script/>
        <delivery_time>1970-01-03 00:00:00</delivery_time>
        <description><![CDATA[<p>Please use this request to create a fault appeared in the Application.</p>]]></description>
        <display_price_property>non_zero</display_price_property>
        <entitlement_script/>
        <flow_designer_flow/>
        <group/>
        <hide_sp>false</hide_sp>
        <icon/>
        <ignore_price>true</ignore_price>
        <image/>
        <location/>
        <mandatory_attachment>false</mandatory_attachment>
        <meta/>
        <mobile_hide_price>false</mobile_hide_price>
        <mobile_picture/>
        <mobile_picture_type>use_desktop_picture</mobile_picture_type>
        <model/>
        <name>Create a Works Task</name>
        <no_attachment_v2>false</no_attachment_v2>
        <no_cart>false</no_cart>
        <no_cart_v2>false</no_cart_v2>
        <no_delivery_time_v2>false</no_delivery_time_v2>
        <no_order>false</no_order>
        <no_order_now>false</no_order_now>
        <no_proceed_checkout>false</no_proceed_checkout>
        <no_quantity>false</no_quantity>
        <no_quantity_v2>false</no_quantity_v2>
        <no_search>false</no_search>
        <no_wishlist_v2>false</no_wishlist_v2>
        <omit_price>false</omit_price>
        <order>0</order>
        <ordered_item_link/>
        <owner display_value="System Administrator">6816f79cc0a8016401c5a33be04be441</owner>
        <picture/>
        <post_insert_script><![CDATA[/**
* This script is executed after the record is generated. 
* `current` Is the GlideRecord produced by Record Producer. Use `current.update()` to update the record
* To access the variables, use `producer.var1` where var1 is the name of the variable
* To access the Record Producer use `cat_item`
*/]]></post_insert_script>
        <preview>JavaScript: popupOpenStandard("com.glideapp.servicecatalog_cat_item_view.do?v=1&amp;sysparm_id=8fb29ba42f934110f98855f62799b666&amp;sysparm_preview=true", "summary");</preview>
        <price>0</price>
        <published_ref/>
        <recurring_frequency/>
        <redirect_url>generated_record</redirect_url>
        <request_method/>
        <roles/>
        <save_options/>
        <save_script><![CDATA[/**
* This script is executed at every step save in Catalog Builder. 
* This script is executed before `Script` is executed.
* `current` Is the GlideRecord produced by Record Producer. 
* To access the variables, use `producer.var1` where var1 is the name of the variable
* To access the Record Producer use `cat_item`
*/]]></save_script>
        <sc_catalogs/>
        <sc_ic_item_staging/>
        <sc_ic_version/>
        <sc_template/>
        <script><![CDATA[/** This script is executed before the Record is generated
* `current`- GlideRecord produced by Record Producer
* Don't use `current.update()` or `current.insert()` as the record is generated by Record Producer
* Don't use `current.setValue('sys_class_name', 'xxx')` as this will trigger reparent flow and can cause data loss
* Avoid `current.setAbortAction()` and generate a separate record
* Use `producer.var1` to access variables
*/

setUpRecord();

function setUpRecord() {
   var short_description = "Outage on application " + producer.cmdb_ci.getDisplayValue();
   var notes = "";
   if (producer.error_message != '')
      notes = "Error Message : " + producer.error_message;
   if (producer.outage_start != '')
      short_description = short_description + " beginning at " + producer.outage_start.getDisplayValue();

   current.comments = notes; // assignment to current.comments does NOT replace existing values

   current.short_description = short_description;
   current.description = current.short_description;
   current.caller_id = gs.getUserID();
}

var isMobile = GlideMobileExtensions.getDeviceType() == 'm';
var link = isMobile ? '#/!list/incident/q:active=true%5Ecaller_id=javascript:gs.user_id()%5EEQ' : 'home.do';

var s = 'This incident was opened for your request<br/>';
s += 'The IT department will contact you if they need any further information<br/>';
if (isMobile)
	s += 'You can track status from this <a href="' + link + '">List</a> <br/>';
else
	s += 'You can track status from the <a href="' + link + '">Homepage</a> <br/>';
gs.addInfoMessage(s);

var incRPUtil = new LinkRecordProducerToIncident();
incRPUtil.linkRecordProducerToParentIncident(RP.getParameterValue('sysparm_parent_sys_id'), current);

]]></script>
        <short_description>Create any Works Taskss for an outage of a service.</short_description>
        <show_variable_help_on_load>false</show_variable_help_on_load>
        <start_closed>false</start_closed>
        <state/>
        <sys_class_name>sc_cat_item_producer</sys_class_name>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2022-05-03 13:44:48</sys_created_on>
        <sys_id>8fb29ba42f934110f98855f62799b666</sys_id>
        <sys_mod_count>3</sys_mod_count>
        <sys_name>Create a Works Task</sys_name>
        <sys_package display_value="RailRight" source="x_811737_railright">3817bc072f430110f98855f62799b62d</sys_package>
        <sys_policy/>
        <sys_scope display_value="RailRight">3817bc072f430110f98855f62799b62d</sys_scope>
        <sys_update_name>sc_cat_item_producer_8fb29ba42f934110f98855f62799b666</sys_update_name>
        <sys_updated_by>admin</sys_updated_by>
        <sys_updated_on>2022-05-03 15:31:25</sys_updated_on>
        <table_name>x_811737_railright_works_task</table_name>
        <taxonomy_topic/>
        <template/>
        <template_manager_roles/>
        <type>item</type>
        <use_sc_layout>true</use_sc_layout>
        <vendor/>
        <view/>
        <visible_bundle>true</visible_bundle>
        <visible_guide>true</visible_guide>
        <visible_standalone>true</visible_standalone>
        <workflow/>
    </sc_cat_item_producer>
    <sys_translated_text action="DELETE" query="documentkey=8fb29ba42f934110f98855f62799b666"/>
    <fx_price action="DELETE" query="id=8fb29ba42f934110f98855f62799b666"/>
    <fx_price action="DELETE">
        <amount>0</amount>
        <currency display_value="GBP">GBP</currency>
        <field>price</field>
        <id>8fb29ba42f934110f98855f62799b666</id>
        <parent/>
        <reference_amount>0</reference_amount>
        <reference_currency display_value="USD">USD</reference_currency>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2022-05-03 13:44:48</sys_created_on>
        <sys_id>83b29ba42f934110f98855f62799b668</sys_id>
        <sys_mod_count>1</sys_mod_count>
        <sys_updated_by>admin</sys_updated_by>
        <sys_updated_on>2022-05-03 13:44:50</sys_updated_on>
        <table>sc_cat_item_producer</table>
        <type>calculated</type>
    </fx_price>
    <sys_update_version action="INSERT_OR_UPDATE">
        <action>DELETE</action>
        <application display_value="RailRight">3817bc072f430110f98855f62799b62d</application>
        <file_path/>
        <instance_id>37a757b5dbff9740439ef70fbf9619b9</instance_id>
        <instance_name>dev69591</instance_name>
        <name>sc_cat_item_producer_8fb29ba42f934110f98855f62799b666</name>
        <payload>&lt;?xml version="1.0" encoding="UTF-8"?&gt;&lt;record_update table="sc_cat_item_producer"&gt;&lt;sc_cat_item_producer action="INSERT_OR_UPDATE"&gt;&lt;access_type&gt;restricted&lt;/access_type&gt;&lt;active&gt;true&lt;/active&gt;&lt;allow_edit&gt;false&lt;/allow_edit&gt;&lt;availability&gt;on_desktop&lt;/availability&gt;&lt;billable&gt;false&lt;/billable&gt;&lt;can_cancel&gt;false&lt;/can_cancel&gt;&lt;category/&gt;&lt;checked_out/&gt;&lt;cost&gt;0&lt;/cost&gt;&lt;custom_cart/&gt;&lt;delivery_plan display_value="DEFAULT"&gt;523da512c611228900811a37c97c2014&lt;/delivery_plan&gt;&lt;delivery_plan_script/&gt;&lt;delivery_time&gt;1970-01-03 00:00:00&lt;/delivery_time&gt;&lt;description&gt;&lt;![CDATA[&lt;p&gt;Please use this request to create a fault appeared in the Application.&lt;/p&gt;]]&gt;&lt;/description&gt;&lt;display_price_property&gt;non_zero&lt;/display_price_property&gt;&lt;entitlement_script/&gt;&lt;flow_designer_flow/&gt;&lt;group/&gt;&lt;hide_sp&gt;false&lt;/hide_sp&gt;&lt;icon/&gt;&lt;ignore_price&gt;true&lt;/ignore_price&gt;&lt;image/&gt;&lt;location/&gt;&lt;mandatory_attachment&gt;false&lt;/mandatory_attachment&gt;&lt;meta/&gt;&lt;mobile_hide_price&gt;false&lt;/mobile_hide_price&gt;&lt;mobile_picture/&gt;&lt;mobile_picture_type&gt;use_desktop_picture&lt;/mobile_picture_type&gt;&lt;model/&gt;&lt;name&gt;Create a Works Task&lt;/name&gt;&lt;no_attachment_v2&gt;false&lt;/no_attachment_v2&gt;&lt;no_cart&gt;false&lt;/no_cart&gt;&lt;no_cart_v2&gt;false&lt;/no_cart_v2&gt;&lt;no_delivery_time_v2&gt;false&lt;/no_delivery_time_v2&gt;&lt;no_order&gt;false&lt;/no_order&gt;&lt;no_order_now&gt;false&lt;/no_order_now&gt;&lt;no_proceed_checkout&gt;false&lt;/no_proceed_checkout&gt;&lt;no_quantity&gt;false&lt;/no_quantity&gt;&lt;no_quantity_v2&gt;false&lt;/no_quantity_v2&gt;&lt;no_search&gt;false&lt;/no_search&gt;&lt;no_wishlist_v2&gt;false&lt;/no_wishlist_v2&gt;&lt;omit_price&gt;false&lt;/omit_price&gt;&lt;order&gt;0&lt;/order&gt;&lt;ordered_item_link/&gt;&lt;owner display_value="System Administrator"&gt;6816f79cc0a8016401c5a33be04be441&lt;/owner&gt;&lt;picture/&gt;&lt;post_insert_script&gt;&lt;![CDATA[/**
* This script is executed after the record is generated. 
* `current` Is the GlideRecord produced by Record Producer. Use `current.update()` to update the record
* To access the variables, use `producer.var1` where var1 is the name of the variable
* To access the Record Producer use `cat_item`
*/]]&gt;&lt;/post_insert_script&gt;&lt;preview&gt;JavaScript: popupOpenStandard("com.glideapp.servicecatalog_cat_item_view.do?v=1&amp;amp;sysparm_id=8fb29ba42f934110f98855f62799b666&amp;amp;sysparm_preview=true", "summary");&lt;/preview&gt;&lt;price&gt;0&lt;/price&gt;&lt;published_ref/&gt;&lt;recurring_frequency/&gt;&lt;redirect_url&gt;generated_record&lt;/redirect_url&gt;&lt;request_method/&gt;&lt;roles/&gt;&lt;save_options/&gt;&lt;save_script&gt;&lt;![CDATA[/**
* This script is executed at every step save in Catalog Builder. 
* This script is executed before `Script` is executed.
* `current` Is the GlideRecord produced by Record Producer. 
* To access the variables, use `producer.var1` where var1 is the name of the variable
* To access the Record Producer use `cat_item`
*/]]&gt;&lt;/save_script&gt;&lt;sc_catalogs/&gt;&lt;sc_ic_item_staging/&gt;&lt;sc_ic_version/&gt;&lt;sc_template/&gt;&lt;script&gt;&lt;![CDATA[/** This script is executed before the Record is generated
* `current`- GlideRecord produced by Record Producer
* Don't use `current.update()` or `current.insert()` as the record is generated by Record Producer
* Don't use `current.setValue('sys_class_name', 'xxx')` as this will trigger reparent flow and can cause data loss
* Avoid `current.setAbortAction()` and generate a separate record
* Use `producer.var1` to access variables
*/

setUpRecord();

function setUpRecord() {
   var short_description = "Outage on application " + producer.cmdb_ci.getDisplayValue();
   var notes = "";
   if (producer.error_message != '')
      notes = "Error Message : " + producer.error_message;
   if (producer.outage_start != '')
      short_description = short_description + " beginning at " + producer.outage_start.getDisplayValue();

   current.comments = notes; // assignment to current.comments does NOT replace existing values

   current.short_description = short_description;
   current.description = current.short_description;
   current.caller_id = gs.getUserID();
}

var isMobile = GlideMobileExtensions.getDeviceType() == 'm';
var link = isMobile ? '#/!list/incident/q:active=true%5Ecaller_id=javascript:gs.user_id()%5EEQ' : 'home.do';

var s = 'This incident was opened for your request&lt;br/&gt;';
s += 'The IT department will contact you if they need any further information&lt;br/&gt;';
if (isMobile)
	s += 'You can track status from this &lt;a href="' + link + '"&gt;List&lt;/a&gt; &lt;br/&gt;';
else
	s += 'You can track status from the &lt;a href="' + link + '"&gt;Homepage&lt;/a&gt; &lt;br/&gt;';
gs.addInfoMessage(s);

var incRPUtil = new LinkRecordProducerToIncident();
incRPUtil.linkRecordProducerToParentIncident(RP.getParameterValue('sysparm_parent_sys_id'), current);

]]&gt;&lt;/script&gt;&lt;short_description&gt;Create any Works Taskss for an outage of a service.&lt;/short_description&gt;&lt;show_variable_help_on_load&gt;false&lt;/show_variable_help_on_load&gt;&lt;start_closed&gt;false&lt;/start_closed&gt;&lt;state/&gt;&lt;sys_class_name&gt;sc_cat_item_producer&lt;/sys_class_name&gt;&lt;sys_created_by&gt;admin&lt;/sys_created_by&gt;&lt;sys_created_on&gt;2022-05-03 13:44:48&lt;/sys_created_on&gt;&lt;sys_id&gt;8fb29ba42f934110f98855f62799b666&lt;/sys_id&gt;&lt;sys_mod_count&gt;3&lt;/sys_mod_count&gt;&lt;sys_name&gt;Create a Works Task&lt;/sys_name&gt;&lt;sys_package display_value="RailRight" source="x_811737_railright"&gt;3817bc072f430110f98855f62799b62d&lt;/sys_package&gt;&lt;sys_policy/&gt;&lt;sys_scope display_value="RailRight"&gt;3817bc072f430110f98855f62799b62d&lt;/sys_scope&gt;&lt;sys_update_name&gt;sc_cat_item_producer_8fb29ba42f934110f98855f62799b666&lt;/sys_update_name&gt;&lt;sys_updated_by&gt;admin&lt;/sys_updated_by&gt;&lt;sys_updated_on&gt;2022-05-03 15:31:25&lt;/sys_updated_on&gt;&lt;table_name&gt;x_811737_railright_works_task&lt;/table_name&gt;&lt;taxonomy_topic/&gt;&lt;template/&gt;&lt;template_manager_roles/&gt;&lt;type&gt;item&lt;/type&gt;&lt;use_sc_layout&gt;true&lt;/use_sc_layout&gt;&lt;vendor/&gt;&lt;view/&gt;&lt;visible_bundle&gt;true&lt;/visible_bundle&gt;&lt;visible_guide&gt;true&lt;/visible_guide&gt;&lt;visible_standalone&gt;true&lt;/visible_standalone&gt;&lt;workflow/&gt;&lt;/sc_cat_item_producer&gt;&lt;sys_translated_text action="delete_multiple" query="documentkey=8fb29ba42f934110f98855f62799b666"/&gt;&lt;fx_price action="delete_multiple" query="id=8fb29ba42f934110f98855f62799b666"/&gt;&lt;fx_price action="INSERT_OR_UPDATE"&gt;&lt;amount&gt;0&lt;/amount&gt;&lt;currency display_value="GBP"&gt;GBP&lt;/currency&gt;&lt;field&gt;price&lt;/field&gt;&lt;id&gt;8fb29ba42f934110f98855f62799b666&lt;/id&gt;&lt;parent/&gt;&lt;reference_amount&gt;0&lt;/reference_amount&gt;&lt;reference_currency display_value="USD"&gt;USD&lt;/reference_currency&gt;&lt;sys_created_by&gt;admin&lt;/sys_created_by&gt;&lt;sys_created_on&gt;2022-05-03 13:44:48&lt;/sys_created_on&gt;&lt;sys_id&gt;83b29ba42f934110f98855f62799b668&lt;/sys_id&gt;&lt;sys_mod_count&gt;1&lt;/sys_mod_count&gt;&lt;sys_updated_by&gt;admin&lt;/sys_updated_by&gt;&lt;sys_updated_on&gt;2022-05-03 13:44:50&lt;/sys_updated_on&gt;&lt;table&gt;sc_cat_item_producer&lt;/table&gt;&lt;type&gt;calculated&lt;/type&gt;&lt;/fx_price&gt;&lt;/record_update&gt;</payload>
        <payload_hash>-1951320020</payload_hash>
        <record_name>Create a Works Task</record_name>
        <reverted_from/>
        <source>6e4c07df2f870110f98855f62799b68a</source>
        <source_table>sys_update_set</source_table>
        <state>previous</state>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2022-05-03 15:31:25</sys_created_on>
        <sys_id>f82b67202f174110f98855f62799b614</sys_id>
        <sys_mod_count>0</sys_mod_count>
        <sys_recorded_at>1808a8c32ff0000001</sys_recorded_at>
        <sys_updated_by>admin</sys_updated_by>
        <sys_updated_on>2022-05-03 15:31:25</sys_updated_on>
        <type>Record Producer</type>
        <update_guid>f02b67200417411078c2861082b7dc14</update_guid>
        <update_guid_history>f02b67200417411078c2861082b7dc14:-1951320020,8c13dfa462934110c666c45b2cdfb4cf:-2125716998,cbb29ba4c8934110d277e48630d1edc9:-2082311156</update_guid_history>
    </sys_update_version>
    <sys_metadata_delete action="INSERT_OR_UPDATE">
        <sys_audit_delete display_value="Create a Works Task">892b67202f174110f98855f62799b647</sys_audit_delete>
        <sys_class_name>sys_metadata_delete</sys_class_name>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2022-05-03 15:31:26</sys_created_on>
        <sys_db_object display_value="" name="sc_cat_item_producer">sc_cat_item_producer</sys_db_object>
        <sys_id>2af556a555bb4dc8a79bf876dbac44c9</sys_id>
        <sys_metadata>8fb29ba42f934110f98855f62799b666</sys_metadata>
        <sys_mod_count>0</sys_mod_count>
        <sys_name>Create a Works Task</sys_name>
        <sys_package display_value="RailRight" source="x_811737_railright">3817bc072f430110f98855f62799b62d</sys_package>
        <sys_parent display_value="Works Task">313e410b2f830110f98855f62799b675</sys_parent>
        <sys_policy/>
        <sys_scope display_value="RailRight">3817bc072f430110f98855f62799b62d</sys_scope>
        <sys_scope_delete display_value="">0d1234f39aa14a258dfd0a9956c72b11</sys_scope_delete>
        <sys_update_name>sc_cat_item_producer_8fb29ba42f934110f98855f62799b666</sys_update_name>
        <sys_update_version display_value="sc_cat_item_producer_8fb29ba42f934110f98855f62799b666">f82b67202f174110f98855f62799b614</sys_update_version>
        <sys_updated_by>admin</sys_updated_by>
        <sys_updated_on>2022-05-03 15:31:26</sys_updated_on>
    </sys_metadata_delete>
</record_update>
